function [ny,v]=get_vel(dmm)
%  return velocity data in array v
%  dmm is the nozzle diameter (mm)
%  r/d returned as v(:,1,:)
names = [0 16 18 14 38 12 0 34 11 0]';
nx = size(names,1);

v = zeros(50,11,nx);
ny = zeros(nx,1);

for k=1:nx
    if names(k)==0
        ny(k)=0;
    else
        a = load([num2str(names(k)) '00co.dat']);
        a(:,1) = sqrt( a(:,2).^2 + a(:,3).^2 ) ./dmm;  %  r/d
        a(:,6) = sqrt( a(:,6) );  % u'
        ny(k) = size(a,1);
        v(1:ny(k),:,k) = a;
        clear a
    end
end